# TODO
# - something with org.apache.env.which (currently xml-commons-which.jar in
#   xml-commons), then obsolete xml-commons here
#

%define	srcname	xml-commons-external
%include	/usr/lib/rpm/macros.java
Summary:	Apache XML Commons External classes
Summary(pl.UTF-8):	Klasy Apache XML Commons External
Name:		java-xml-commons-external
Version:	1.4.01
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/xml/commons/%{srcname}-%{version}-src.tar.gz
# Source0-md5:	2fea8e97a5d4d1a24bd05f5f62f3e04e
# from http://svn.apache.org/repos/asf/xml/commons/trunk/java/external/build.xml
Source1:	%{srcname}-build.xml
URL:		http://xml.apache.org/commons/
BuildRequires:	ant
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Obsoletes:	xml-commons-external
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Apache XML Commons External classes:
 - DOM Level 3 from w3c.org
 - SAX 2.0 from megginson.com

%description -l pl.UTF-8
Klasy Apache XML Commons External:
 - DOM Level 3 z w3c.org
 - SAX 2.0 z megginson.com

%package javadoc
Summary:	javadoc documentation for Apache XML Commons External
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu Apache XML Commons External
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	xml-commons-external-javadoc

%description javadoc
javadoc documentation for Apache XML Commons External.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu Apache XML Commons External.

%prep
%setup -q -c
cp %{SOURCE1} build.xml

# for build.xml
mkdir src xdocs
ln -s ../javax ../org ../manifest.commons src

%build
# default 64m is too low
#export ANT_OPTS="-Xmx128m"
%ant jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install build/xml-apis.jar $RPM_BUILD_ROOT%{_javadir}/xml-apis-%{version}.jar
install build/xml-apis-ext.jar $RPM_BUILD_ROOT%{_javadir}/xml-apis-ext-%{version}.jar
ln -s xml-apis-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xml-apis.jar
ln -s xml-apis-ext-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xml-apis-ext.jar

install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/docs/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc LICENSE* NOTICE README.*
%{_javadir}/xml-apis-%{version}.jar
%{_javadir}/xml-apis.jar
%{_javadir}/xml-apis-ext-%{version}.jar
%{_javadir}/xml-apis-ext.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%changelog
* Sat Feb 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-xml-commons-external.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> 5e3b7e8
- avoid self-obsoletes; drop old provides

* Thu Feb 10 2011 Jakub Bogusz <qboosh@pld-linux.org> b47840a
- updated to 1.4.01

* Sun Apr 18 2010 Jacek Konieczny <jajcus@pld-linux.org> 80a9938
- do not force gcj

* Tue Mar 31 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8984795
- it can also be build with java-sun so bcond java_sun added
- release 5

* Mon Feb 02 2009 pawelz <pawelz@pld-linux.org> 32e6801
- P:/O: old spec name
- rel 4 (it has to be rebuilt once again because of broken libmagic :-/)

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 529e09a
- Libraries/Java group

* Mon Feb 02 2009 pawelz <pawelz@pld-linux.org> af336e3
- rel 3

* Mon Feb 02 2009 pawelz <pawelz@pld-linux.org> ba7ffe0
- renamed from java-xml-commons-external
- BR: java-gcj-compat-devel (not java-gcj-compat)

* Sat Jan 31 2009 pawelz <pawelz@pld-linux.org> 5a5be52
- build it with gnu java

* Wed Dec 12 2007 Elan Ruusamäe <glen@pld-linux.org> 917f1c6
- unify java package; rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ecd6a2d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d7c386c
- converted to UTF-8

* Sun Jan 07 2007 Jakub Bogusz <qboosh@pld-linux.org> f11accd
- typo

* Sun Jan 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 409d991
- partially replaces xml-commons

* Sun Jan 07 2007 Jakub Bogusz <qboosh@pld-linux.org> fe7f849
- from http://svn.apache.org/repos/asf/xml/commons/trunk/java/external/build.xml

